Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::PG_Utils Class Reference

Simple utility class. More...

`#include <PG_Utils.h>`

List of all members.

## Static Public Methods
CORBA::Boolean | set_tagged_component (PortableGroup::ObjectGroup *&ior, PortableGroup::TagGroupTaggedComponent &t)
| Set tagged component for the object group.
CORBA::Boolean | get_tagged_component (PortableGroup::ObjectGroup *&ior, PortableGroup::TagGroupTaggedComponent &t)
| Get tagged component for the object group.
## Static Private Methods
CORBA::Boolean | encode_properties (TAO_OutputCDR &cdr, PortableGroup::TagGroupTaggedComponent &tg)

## Detailed Description

Simple utility class.

## Member Function Documentation

CORBA::Boolean TAO::PG_Utils::encode_properties | ( | TAO_OutputCDR & | cdr,
|  | PortableGroup::TagGroupTaggedComponent & | tg
| ) | `[static, private]`

CORBA::Boolean TAO::PG_Utils::get_tagged_component | ( | PortableGroup::ObjectGroup *& | ior,
|  | PortableGroup::TagGroupTaggedComponent & | t
| ) | `[static]`

| Get tagged component for the object group.

CORBA::Boolean TAO::PG_Utils::set_tagged_component | ( | PortableGroup::ObjectGroup *& | ior,
|  | PortableGroup::TagGroupTaggedComponent & | t
| ) | `[static]`

| Set tagged component for the object group.

The documentation for this class was generated from the following files:

- PG_Utils.h
- PG_Utils.cpp